function X = schur_mnare(A,B,C,D)
% X=SCHUR_MNARE(A,B,C,D) solves the NARE C + XA + DX - XBX = 0
% by means of the Schur algorithm
%    A, B, C, D: matrix coefficients
%    X : solution of the CARE
n = size(A,1);
m = size(D,1);
H = [A,-B;-C,-D];
[U,T] = schur(H,'real'); % Computing the Schur form of H
e = ordeig(T);
[es,is] = sort(real(e),'descend');
sel = zeros(m+n,1);
sel(is(1:n)) = 1;
Q = ordschur(U,T,sel); % Sorting the Schur form of H
X = Q(n+1:n+m,1:n)/Q(1:n,1:n);
